/***************************************************************************
 *   Copyright (C) 2004 by Johan Maes - ON4QZ                              *
 *   on4qz@telenet.be                                                      *
 *   http://users.telenet.be/on4qz                                         *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#ifndef DEBUGPLOT_H
#define DEBUGPLOT_H

#include "dspfunctions.h"

#define stColorLine0 0
#define stColorLine1 1
#define stColorLine2 2
#define stColorLine3 3
#define stColorLine4 4
#define stSync			 5
#define stWaitVIS		 6
#define stWaitSync	 7
#define stHUNT			 8
#define stSTART			 9
#define stBP				10
#define stG1				11
#define stG2				12
#define stFP				13
#define stRepTone		14


/**
@author Johan Maes - ON4QZ
*/
class debugPlot 
{
public:
	debugPlot(QString title="",QWidget *parent = 0, const char *name = 0);
	~debugPlot();
	void show();
	void init();
	int state;
	eIOState getDemodulatedData(float &f,bool &s,unsigned int &pos);
	eIOState getDemodulatedData(float &f);
	void rewind(unsigned int len);
	void forward(unsigned int len);
	unsigned int getPos();
	void reposition(unsigned int pos);
};

#endif
