/***************************************************************************
 *   Copyright (C) 2004 by Johan Maes - ON4QZ                              *
 *   on4qz@telenet.be                                                      *
 *   http://users.telenet.be/on4qz                                         *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#ifndef FGBGBUTTON_H
#define FGBGBUTTON_H

#include <qframe.h>
#include <qpixmap.h>
#include <qpainter.h> 

/**
@author Johan Maes - ON4QZ
*/
class fgbgButton : public QFrame
{
Q_OBJECT
public:
	fgbgButton(QWidget *parent = 0, const char *name = 0);
	~fgbgButton();
	void mouseDoubleClickEvent(QMouseEvent *e);
	void setForegroundColor(QColor c);
	void setBackgroundColor(QColor c);
	QColor getForegroundColor();
	QColor getBackgroundColor();
private:
	QPixmap imageData;
	QColor fgColor;
	QColor bgColor;
	void updateColors();
};

#endif
