/***************************************************************************
 *   Copyright (C) 2004 by Johan Maes - ON4QZ                              *
 *   on4qz@telenet.be                                                      *
 *   http://users.telenet.be/on4qz                                         *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#include "synthes.h"

/*
  To generate the frequency, we have to calculate the instant phase jump of the signal
  by dividing the frequency by the SR.
  We multiply this by the number of entries in the sine lookup table.
  This value is added to the old index  of the sine table.
*/

synthesizer::synthesizer(double txSmpClock)
{
	// generate the table
	int i;
	txSamplingClock=txSmpClock;
  for (i=0;i<SINTABLEN;i++)
    {
      sineTable[i]=(short int) (sin(((double)i*M_PI*2.)/SINTABLEN)*20000.);
    }
	oldAngle=0; 
}

synthesizer::~synthesizer()
{
}













































































