/***************************************************************************
 *   Copyright (C) 2004 by Johan Maes - ON4QZ                              *
 *   on4qz@telenet.be                                                      *
 *   http://users.telenet.be/on4qz                                         *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#ifndef CALIBMODE_H
#define CALIBMODE_H

#include "modebase.h"

/**
@author Johan Maes - ON4QZ
*/
class calibMode : public modeBase
{
Q_OBJECT
public:
    calibMode(QObject *parent = 0, const char *name = 0);

    ~calibMode();
		void init(sstvMode mode,imageView *ptr,bool tx);
		embState setupLine(int &subLine,unsigned char **buf);
		embState txSetupLine(int &subln,unsigned char **buf);
protected:
	void calcPixelPositionTable(unsigned int colorLine,bool tx);
	bool getPixels(unsigned char *pixelArray);
	float averageFreq;

};

#endif
