/***************************************************************************
 *   Copyright (C) 2004 by Johan Maes - ON4QZ                              *
 *   on4qz@telenet.be                                                      *
 *   http://users.telenet.be/on4qz                                         *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#include <debugplot.h>
#include "utils.h"


debugPlot::debugPlot(QString ,QWidget *, const char *)
{
	
}


debugPlot::~debugPlot()
{
	init();
}

void debugPlot::init()
{
}
		

void debugPlot::rewind(unsigned int len)
{
  logfile.add("rewind to %d diff==%d",dsp->getPos(),len);
}

void debugPlot::forward(unsigned int len)
{
  logfile.add("rewind to %d diff==%d",dsp->getPos(),len);
}

	
unsigned int debugPlot::getPos()
{
	return dsp->getPos();
}
	
void debugPlot::reposition(unsigned int pos)
{
	unsigned int len;
	unsigned int actpos;
	actpos=dsp->getPos();
	len=(actpos-pos)&INPUTINDEXMASK;
//  if(len>INPUTINDEXMASK/2) forward(len);
//	else 
	rewind(len); 
}


void debugPlot::show()
{
}

eIOState debugPlot::getDemodulatedData(float &f,bool &s,unsigned int &pos)
{
	eIOState res;
	res=dsp->getDemodulatedData(f,s,pos);
//	if(res==DONE)	put(f,(double)s);
	return res;
}

eIOState debugPlot::getDemodulatedData(float &f)
{
	eIOState res;
	res=dsp->getDemodulatedData(f);
	return res;
}
