/***************************************************************************
 *   Copyright (C) 2004 by Johan Maes - ON4QZ                              *
 *   on4qz@telenet.be                                                      *
 *   http://users.telenet.be/on4qz                                         *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#ifndef QSSTVGLOBAL_H
#define QSSTVGLOBAL_H
#include <qstring.h>

class rxMainWindow;
class txMainWindow;
class galeryMainWindow;
class configDialog;
class debugPlot;
class QPrinter;

#define VERSION "6.0"
extern const QString APP_KEY;

extern rxMainWindow *rxMW;
extern txMainWindow *txMW;
extern galeryMainWindow *galMW;
extern configDialog *confDiag;
extern debugPlot *debugPtr;
extern QPrinter *printer;

enum eIOState { STOPPED, WAITING, DONE};
#endif
