/***************************************************************************
 *   Copyright (C) 2004 by Johan Maes - ON4QZ                              *
 *   on4qz@telenet.be                                                      *
 *   http://users.telenet.be/on4qz                                         *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#ifndef RXTXFUNCTIONS_H
#define RXTXFUNCTIONS_H
#include "sstvparam.h"
#include <qobject.h>
/**
@author Johan Maes - ON4QZ
*/

class imageView;
class modeBase;
enum rxtxState {STARTA,STARTB,WAITREPTONE,IDLE,VISDETECT,HUNT,DISPLAY,RESTART,REPSENDACK};

class rxtxFunctions: public QObject
{
	Q_OBJECT
public:
  rxtxFunctions(QObject *parent = 0, const char *name = 0);
	~rxtxFunctions();
	bool startSelectedMode(imageView *iv,bool tx);
	
	bool useVIS;
	bool slantAdjust;
	bool dxMode;
	bool useVOX;
	bool useCW;
	int sensitivity;
	bool autoSave;
	rxtxState state;
	void nextState(enum rxtxState st);
	void updateParams();
	
protected:
	sstvMode selectedMode;
	unsigned int startPosition;
	modeBase *rxtxDisplay;
	
};



#endif
