/***************************************************************************
 *   Copyright (C) 2004 by Johan Maes - ON4QZ                              *
 *   on4qz@telenet.be                                                      *
 *   http://users.telenet.be/on4qz                                         *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

#ifndef ZOOMWINDOW_H
#define ZOOMWINDOW_H

#include <qdialog.h>
#include <qframe.h>
#include <qimage.h>
#include "zoomform.h"

class zoomWindow : public zoomForm
{
    Q_OBJECT

public:

    zoomWindow(QWidget* parent = NULL,const char* name = NULL);
    virtual ~zoomWindow();
    void zoom(QImage * ipm);
		void closeEvent(QCloseEvent *e);
		void readSettings();
		void writeSettings();
public slots:
	void slotSliderMoved(int);
	void slotClose();
	void slotSetParams();
//  void paintEvent( QPaintEvent *e );
//  void resizeEvent(QResizeEvent *);

protected:
	
  QImage originalImage;
 	int zoomScale;
//  QPixmap pmScaled;
};

#endif //
